# $Revision: 1.11 $, $Date: 2012/01/07 22:55:39 $
%define 	module	seqdiag
Summary:	seqkdiag generate sequence-diagram image file from spec-text file
Name:		python-%{module}
Version:	0.7.2
Release:	1
License:	Apache v2.0
Group:		Development/Languages
URL:		http://blockdiag.com/en/seqdiag/index.html
Source0:	http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	428341e76c3434ba3a87a063ca5fb721
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	sed >= 4.0
Requires:	python-blockdiag >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
seqdiag generates sequence-diagram image file from spec-text files.

Features:
- Generate sequence-diagram from dot like text (basic feature).
- Multilingualization for node-label (utf-8 only).

%prep
%setup -q -n %{module}-%{version}
%{__sed} -i -e 's/^from ez_setup/#from ez_setup/' setup.py
%{__sed} -i -e 's/^use_setuptools()/#use_setuptools()/' setup.py

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--optimize=2 \
	--skip-build \
	--root $RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}_sphinxhelper.py[co]

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{module}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/seqdiag
%{_mandir}/man1/*.1*
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/utils
%{py_sitescriptdir}/%{module}/utils/*.py[co]
%dir %{py_sitescriptdir}/%{module}/utils/rst
%{py_sitescriptdir}/%{module}/utils/rst/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-seqdiag.spec,v $
Revision 1.11  2012/01/07 22:55:39  zbyniu
- up to 0.7.2

Revision 1.10  2011/12/02 13:05:07  zbyniu
- up to 0.7.1

Revision 1.9  2011/10/18 14:37:42  glen
- no default attr for man

Revision 1.8  2011/10/18 14:36:48  glen
- do not enforce gzip compressed man, cosmetics

Revision 1.7  2011/10/18 12:45:03  cieciwa
- removed not needed file,
- added manual file.

Revision 1.6  2011/10/18 11:26:11  glen
- py_postclean, remove tests, python-funcparserlib BR not needed, some unpackaged files todo

Revision 1.5  2011/10/18 07:21:18  cieciwa
- release 0.2,
- updated Requires.

Revision 1.4  2011/10/17 13:01:10  glen
- adapter, pldize

Revision 1.3  2011/10/17 10:47:30  cieciwa
- clean spec.

Revision 1.2  2011/10/17 10:29:08  cieciwa
- changed source location,
- updated MD5 sum,
- changed build directory.

Revision 1.1  2011/10/17 10:12:21  cieciwa
- version 0.4.2 (tip),
- release 0.1.

initial.
